Package: org.grails.io.support

## [Groovy] Class MainMethodFinder

- org.grails.io.support.MainClassFinder.MainMethodFinder

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `found`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MainClassFinder.MainMethodFinder ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `groovyjarjarasm.asm.MethodVisitor` | `visitMethod(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.String[] exceptions)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovyjarjarasm.asm.ClassVisitor` | `groovyjarjarasm.asm.ClassVisitor#visitNestHost(java.lang.String), groovyjarjarasm.asm.ClassVisitor#visitOuterClass(java.lang.String, java.lang.String, java.lang.String), groovyjarjarasm.asm.ClassVisitor#visitAnnotation(java.lang.String, boolean), groovyjarjarasm.asm.ClassVisitor#visitTypeAnnotation(int, groovyjarjarasm.asm.TypePath, java.lang.String, boolean), groovyjarjarasm.asm.ClassVisitor#visitAttribute(groovyjarjarasm.asm.Attribute), groovyjarjarasm.asm.ClassVisitor#visitNestMember(java.lang.String), groovyjarjarasm.asm.ClassVisitor#visitInnerClass(java.lang.String, java.lang.String, java.lang.String, int), groovyjarjarasm.asm.ClassVisitor#visitSource(java.lang.String, java.lang.String), groovyjarjarasm.asm.ClassVisitor#visitModule(java.lang.String, int, java.lang.String), groovyjarjarasm.asm.ClassVisitor#visitEnd(), groovyjarjarasm.asm.ClassVisitor#visit(int, int, java.lang.String, java.lang.String, java.lang.String, [Ljava.lang.String;), groovyjarjarasm.asm.ClassVisitor#visitField(int, java.lang.String, java.lang.String, java.lang.String, java.lang.Object), groovyjarjarasm.asm.ClassVisitor#visitMethod(int, java.lang.String, java.lang.String, java.lang.String, [Ljava.lang.String;), groovyjarjarasm.asm.ClassVisitor#wait(long, int), groovyjarjarasm.asm.ClassVisitor#wait(long), groovyjarjarasm.asm.ClassVisitor#wait(), groovyjarjarasm.asm.ClassVisitor#equals(java.lang.Object), groovyjarjarasm.asm.ClassVisitor#toString(), groovyjarjarasm.asm.ClassVisitor#hashCode(), groovyjarjarasm.asm.ClassVisitor#getClass(), groovyjarjarasm.asm.ClassVisitor#notify(), groovyjarjarasm.asm.ClassVisitor#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### boolean found

  - ### Constructor Detail

    - #### MainClassFinder.MainMethodFinder()

  - ### Method Detail

    - #### @java.lang.Override groovyjarjarasm.asm.MethodVisitor visitMethod(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.String[] exceptions)